require "sketchup.rb"
require "extensions.rb"

module AfuLayersDisplay
  PluginName = 'AFU321-全屋定制助手pro'
  PluginChineseName = 'AFU321-全屋定制助手pro'
  Version = '3.6.3.'.freeze

  Object.send(:remove_const, 'RGLoader') if Object.const_defined?('RGLoader')

  load_path = File.join(File.dirname(__FILE__), "afu_layers_display/load.rb")
  extension = SketchupExtension.new(PluginChineseName, load_path)
  extension.version = '3.6.3'
  extension.creator = '-AFU-'
  extension.copyright = "www.afu321.com"
  extension.description = ("用于站点资源获取与相关")
  Sketchup.register_extension(extension, true)
end
